FROM CACHE - zh-cn_header

应用程序现在可以请求访问必要的受保护数据

Vikki
Shopify Staff
Shopify Staff
33 3 11

在 2022-10 年的 API 发布中,为了帮助您的应用程序更好地支持商家以遵守隐私和数据保护规则,Shopify 正在实施一系列更新。

 

[了解更多]

 

从 2022 年 10 月 1 日开始,API 将默认编辑客户的个人数据,您将能够通过您的合作伙伴后台,请求访问受保护的客户数据和受保护的客户字段。您将需要获得批准才能访问任何非开发商店的受保护客户数据。

 

根据我们常规的 API 版本和停用时间表,现有的应用程序将在 2023 年 7 月 1 日前迁移到 2022-10 版本的 API。

 

您需要知道的是

 

在这个版本中,Shopify 将限制应用程序的数据访问权限,将其限于必要的资源和字段。需要受保护的客户数据(与客户或潜在客户直接相关的数据)的应用程序必须执行我们的数据保护要求,其中包括告知商家您的应用程序的数据使用和目的,应用客户同意的决定,退出请求,以及其他。除了批准受保护的客户数据外,需要受保护的客户字段(个人配置和批准)的应用程序,将需要遵守额外的要求。

 

您现在可以在合作伙伴后台上申请受保护的数据。以下是您需要了解的内容:

 

  • 对于不使用受保护数据的应用程序,您可以简单地更新到最新的 API 版本。
  • 对于使用受保护数据的应用程序,Shopify 将批准您使用为商家提供应用程序功能所需的最低数量的数据。

 

如果您被批准使用您要求的所有数据,那么就不需要更新代码。如果您申请的数据没有被批准,那么您可能需要更新您的应用程序来处理错误或编辑过的数据。

 

需要记住的日期

 

在接下来的一年里,有几个日期您应该注意并做好准备:

 

2022 年 10 月 1 日 - Shopify 将发布 2022-10 的 API 版本。使用该版本的应用程序必须满足受保护的客户数据要求。Shopify 将更新合作伙伴后台,以实现应用程序的配置和受保护的客户数据的请求。

 

2023 年 4 月 2 日 - 新的应用程序必须使用 2022-10 或更高版本的 API 并满足受保护的客户数据要求。

 

2023 年 7 月 1 日 - 所有应用程序必须使用 2022-10 或更高版本的 API,并满足受保护的客户数据要求。管理 API 版本 2022-10 是最低支持版本。

 

如果您还有任何问题,请通过您的合作伙伴后台联系开发者支持

VikkiZ | Social Care @ Shopify 
 - 我的回复是否有帮助? 欢迎 点赞
 - 您的问题是否已解决? 请为满意的方案点击 采纳
 - 想了解更多信息?请访问 Shopify(中文)帮助中心Shopify(中文)博客

0 条回复0